Subject: Re: bug#17767: 24.4.50; [PATCH] Bind tab and backtab in completion lists
From: Stefan Monnier <[email-masked]>
To: Matthias Meulien <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Jun 2014 14:14:41 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> Two bindings that ease completion selection in completion lists.

Hmm... on the one hand, this is in line with other applications's use of
tab and backtab, but on the other hand, Emacs's TAB key is already super
crowded with other meanings (typically "expand", "complete",
or "indent"), so it's a bit unfortunate.  It seems harmless here, but
this use will obviously spread to other circumstances where conflicts
are possible (e.g. using TAB to move between input fields conflicts with
using TAB to complete within an input field).

I guess we're going to have to adapt somehow.

> +    (define-key map [tab] 'next-completion)

I installed your patch but I used ?\t here so it also works in
text terminals.

        Stefan